Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » General (non-technical) » Eclipse Foundation » BreakpointValidationException whenever attempting to set breakpoint
BreakpointValidationException whenever attempting to set breakpoint [message #5439] Tue, 19 October 2004 08:24 Go to next message
Jonathan Woods is currently offline Jonathan Woods
Messages: 2
Registered: July 2009
Junior Member
I'm using Eclipse 3.0.1 on Windows XP Professional running on top of J2SE
1.4.2_06 (the SDK component). Whenever I try to set a breakpoint in Java
source, I get "internal error: BreakpointValidationException". The
Eclipse error log says:

!ENTRY org.eclipse.core.runtime 4 2 Oct 19, 2004 09:17:12.943
!MESSAGE An internal error occurred during: "Breakpoint location
validation".
!STACK 0
java.lang.RuntimeException: J2SE 1.5 parser not implemented yet
at org.eclipse.jdt.core.dom.ASTParser.convert(ASTParser.java:71 4)
at
org.eclipse.jdt.core.dom.ASTParser.internalCreateAST(ASTPars er.java:681)
at org.eclipse.jdt.core.dom.ASTParser.createAST(ASTParser.java: 574)
at
org.eclipse.jdt.internal.debug.ui.actions.BreakpointLocation VerifierJob.run(BreakpointLocationVerifierJob.java:109)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:66)

yet I'm not using J2SE 1.5. Anyone have any ideas?

I did have debugging working fantastically in Eclipse 3.0 - e.g. remote
debugging of building processes and Tomcat web apps - so this is a bitter
blow! I suspect that I managed to screw up configuration somewhere -
possibly around the time I tried out J2SE 5.0 on the same machine, though
I have since completely deinstalled J2SE and checked that no corresponding
folders exist, then reinstalled 1.4.2. The problem happens still if I
switch back to Eclipse 3.0 or go up to 3.1; and it was happening with J2SE
1.4.2_05 too. Everything else Eclipse-wise works fine.

Is there perhaps something cached in Eclipse history which has hung around
in the workspace? If so, what should I clear?

tia

Jon
Re: BreakpointValidationException whenever attempting to set breakpoint [message #5486 is a reply to message #5439] Thu, 21 October 2004 04:12 Go to previous message
Mike Milinkovich is currently offline Mike Milinkovich
Messages: 258
Registered: July 2009
Senior Member
This should be posted on the Platform newsgroup.

"Jonathan Woods" <jonathan.woods@scintillance.com> wrote in message
news:cl2j0q$q9a$1@eclipse.org...
> I'm using Eclipse 3.0.1 on Windows XP Professional running on top of J2SE
> 1.4.2_06 (the SDK component). Whenever I try to set a breakpoint in Java
> source, I get "internal error: BreakpointValidationException". The
> Eclipse error log says:
>
> !ENTRY org.eclipse.core.runtime 4 2 Oct 19, 2004 09:17:12.943
> !MESSAGE An internal error occurred during: "Breakpoint location
> validation".
> !STACK 0
> java.lang.RuntimeException: J2SE 1.5 parser not implemented yet
> at org.eclipse.jdt.core.dom.ASTParser.convert(ASTParser.java:71 4)
> at
> org.eclipse.jdt.core.dom.ASTParser.internalCreateAST(ASTPars er.java:681)
> at org.eclipse.jdt.core.dom.ASTParser.createAST(ASTParser.java: 574)
> at
>
org.eclipse.jdt.internal.debug.ui.actions.BreakpointLocation VerifierJob.run(
BreakpointLocationVerifierJob.java:109)
> at org.eclipse.core.internal.jobs.Worker.run(Worker.java:66)
>
> yet I'm not using J2SE 1.5. Anyone have any ideas?
>
> I did have debugging working fantastically in Eclipse 3.0 - e.g. remote
> debugging of building processes and Tomcat web apps - so this is a bitter
> blow! I suspect that I managed to screw up configuration somewhere -
> possibly around the time I tried out J2SE 5.0 on the same machine, though
> I have since completely deinstalled J2SE and checked that no corresponding
> folders exist, then reinstalled 1.4.2. The problem happens still if I
> switch back to Eclipse 3.0 or go up to 3.1; and it was happening with J2SE
> 1.4.2_05 too. Everything else Eclipse-wise works fine.
>
> Is there perhaps something cached in Eclipse history which has hung around
> in the workspace? If so, what should I clear?
>
> tia
>
> Jon
>
Previous Topic:Breakpoint triggers text editor
Next Topic:anyone knows plugin workshops in Europe in english?
Goto Forum:
  


Current Time: Tue Oct 21 21:37:46 GMT 2014

Powered by FUDForum. Page generated in 0.11572 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software